Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class JavaCompile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.compile.AbstractCompile
                  org.gradle.api.tasks.compile.Compile
                      org.gradle.api.tasks.compile.JavaCompile

    public class JavaCompile
    extends Compile

Compiles Java source files.

         apply plugin: 'java'
         compileJava {
             //enable compilation in a separate daemon process
             options.fork = true
         }

Method Summary

Methods inherited from class Compile
compile, getDependencyCacheDir, getJavaCompiler, getOptions, setDependencyCacheDir, setJavaCompiler

Methods inherited from class AbstractCompile
compile, getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Gradle API 1.10